Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

SOLVED I do not have Openssl in EasyApache 4

Discussion in 'EasyApache' started by bugetarul, Dec 23, 2016.

Tags:
  1. bugetarul

    bugetarul Member

    Joined:
    Jul 19, 2014
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hello

    I want to install openssl but it does not appear in the list of PHP Extensions from EasyApache 4
    what can I do?
    i dont have Tokenizer PHP Extension also
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,803
    Likes Received:
    1,898
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    You can verify it's enabled as a PHP module with the version of PHP installed on your system with a command such as:

    Code:
    /opt/cpanel/ea-php70/root/usr/bin/php -m|grep openssl
    Replace "php70" with the version of PHP you'd like to check. You'll see "openssl" output from the command, confirming it's enabled.

    Keep in mind your system's OpenSSL package is provided by your OS (e.g. Red Hat, CentOS, or Cloud Linux) as opposed to cPanel. There's a thread you may find helpful at:

    OpenSSL CVE-2016-2107 and CVE-2016-2108

    Thanks!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice